Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 30-07-2014 09:35:12

debianux
Membre
Distrib. : debian-jessie-8.6_LVM-chiffré_dual-boot-uefi-w10
Noyau : 3.16.0-4-amd64
(G)UI : Xfce 4.10
Inscription : 19-05-2014

[resolu] installation de noyau supplementaire

Bonjour,

ici,

https://debian-facile.org/viewtopic.php?id=9463

darien me conduit à la solution d'installation du noyau 3.14.

je ne comprends pas ce qui va se passer. la simulation par :

aptitude -s install -t wheezy-backports linux-image-3.14-0.bpo.1-amd64



donne ce qui suit

Les paquets suivants seront ENLEVÉS :
  hddtemp{u} libunique-1.0-0{u} ristretto{u} xfburn{u} xfce4-artwork{u}
  xfce4-battery-plugin{u} xfce4-clipman{u} xfce4-clipman-plugin{u}
  xfce4-cpufreq-plugin{u} xfce4-cpugraph-plugin{u} xfce4-datetime-plugin{u}
  xfce4-diskperf-plugin{u} xfce4-fsguard-plugin{u} xfce4-genmon-plugin{u}
  xfce4-mailwatch-plugin{u} xfce4-mount-plugin{u} xfce4-netload-plugin{u}
  xfce4-notes{u} xfce4-notes-plugin{u} xfce4-places-plugin{u}
  xfce4-quicklauncher-plugin{u} xfce4-screenshooter{u}
  xfce4-sensors-plugin{u} xfce4-smartbookmark-plugin{u}
  xfce4-systemload-plugin{u} xfce4-taskmanager{u} xfce4-timer-plugin{u}
  xfce4-verve-plugin{u} xfce4-wavelan-plugin{u} xfce4-xkb-plugin{u}



* donc l'installation 'réelle' de la 3.14 va supprimer ces paquets xfce ?

faut-il comprendre que :

* la 3.2 ne va plus marcher sous xfce dans la mesure où en enlève tous ces composants ?

* qu'il faudra réinstaller xfce pour la 3.14?

* j'ai encore un doute : les 'headers' 3.14 sont-ils quand même à télécharger pour que ça marche ou 'l'image-linux' saura se débrouiller avec les headers de la 3.2 ?

cordialement
debianux

Dernière modification par debianux (31-07-2014 16:34:26)

Hors ligne

#2 30-07-2014 09:57:18

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [resolu] installation de noyau supplementaire

Bonjour,

Ce {u} pourrait correspondre à inutile mais je n'en suis pas sûr.

Que renvoie :

apt-get -s install -t wheezy-backports linux-image-3.14-0.bpo.1-amd64



Pour les headers, il te faudra installer ceux correspondant à ce noyau supplémentaire.


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#3 30-07-2014 10:12:07

debianux
Membre
Distrib. : debian-jessie-8.6_LVM-chiffré_dual-boot-uefi-w10
Noyau : 3.16.0-4-amd64
(G)UI : Xfce 4.10
Inscription : 19-05-2014

Re : [resolu] installation de noyau supplementaire

Bonjour paskal,

~$ apt-get -s install -t wheezy-backports linux-image-3.14-0.bpo.1-amd64
 



NOTE: Ceci n'est qu'une simulation !
      apt-get a besoin des privilèges du superutilisateur
      pour pouvoir vraiment fonctionner.
      Veuillez aussi noter que le verrouillage est désactivé,
      et la situation n'est donc pas forcément représentative
      de la réalité !
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants seront installés :
  firmware-linux-free initramfs-tools
Paquets suggérés :
  linux-doc-3.14 debian-kernel-handbook
Les NOUVEAUX paquets suivants seront installés :
  firmware-linux-free linux-image-3.14-0.bpo.1-amd64
Les paquets suivants seront mis à jour :
  initramfs-tools
1 mis à jour, 2 nouvellement installés, 0 à enlever et 113 non mis à jour.
Inst initramfs-tools [0.109.1] (0.115~bpo70+1 Debian Backports:/wheezy-backports [all])
Inst linux-image-3.14-0.bpo.1-amd64 (3.14.12-1~bpo70+1 Debian Backports:/wheezy-backports [amd64])
Inst firmware-linux-free (3.2 Debian:7.6/stable [all])
Conf initramfs-tools (0.115~bpo70+1 Debian Backports:/wheezy-backports [all])
Conf linux-image-3.14-0.bpo.1-amd64 (3.14.12-1~bpo70+1 Debian Backports:/wheezy-backports [amd64])
Conf firmware-linux-free (3.2 Debian:7.6/stable [all])
 



(en user, ça donne la même chose qu'en root)

Hors ligne

#4 30-07-2014 10:16:35

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [resolu] installation de noyau supplementaire

Si tu as les mêmes propositions hors simulation avec :

apt-get  install -t wheezy-backports linux-image-3.14-0.bpo.1-amd64

tu peux y aller.


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#5 30-07-2014 10:59:07

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : [resolu] installation de noyau supplementaire

Euh, mais il faudrait comprendre pourquoi aptitude voulait tout Uninstall-er.
Il faudra être prudent là.

Je pense que si aptitude propose de tout virer, c'est qu'il y a en amont une autre opération qui a mis le bronx.

Un

aptitude keep-all

peut peut-être régler cela.


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#6 30-07-2014 14:10:50

debianux
Membre
Distrib. : debian-jessie-8.6_LVM-chiffré_dual-boot-uefi-w10
Noyau : 3.16.0-4-amd64
(G)UI : Xfce 4.10
Inscription : 19-05-2014

Re : [resolu] installation de noyau supplementaire

merci à tous les deux.

@captnfab,

le

aptitude keep-all



* est-il à faire avant ?

* pendant, cumulé avec la commande d'installation du 3.14 ?

je ne vois pas ce que j'ai pu installer en rapport avec xfce et 'offrant une balade dans le Bronx', qui m'aurait tenté bien sûr smile

Hors ligne

#7 30-07-2014 22:47:48

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : [resolu] installation de noyau supplementaire

Il est à faire avant smile

Ensuite, si aptitude te propose encore de tout enlever, c'est qu'il y a un problème.

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#8 31-07-2014 10:44:50

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [resolu] installation de noyau supplementaire

@debianux: as-tu installé Xfce4 par son meta-paquet, puis supprimé un de ses composants ?

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#9 31-07-2014 12:19:33

debianux
Membre
Distrib. : debian-jessie-8.6_LVM-chiffré_dual-boot-uefi-w10
Noyau : 3.16.0-4-amd64
(G)UI : Xfce 4.10
Inscription : 19-05-2014

Re : [resolu] installation de noyau supplementaire

Bonjour captnfab,

# aptitude keep-all



Aucun paquet ne va être installé, mis à jour ou enlevé.
0 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 0 o d'archives. Après dépaquetage, 0 o seront utilisés.



                                           

~# aptitude -s install -t wheezy-backports linux-image-3.14-0.bpo.1-amd64



Les NOUVEAUX paquets suivants vont être installés :
  firmware-linux-free{a} linux-image-3.14-0.bpo.1-amd64
Les paquets suivants seront mis à jour :
  initramfs-tools
1 paquets mis à jour, 2 nouvellement installés, 0 à enlever et 113 non mis à jour.
Il est nécessaire de télécharger 31,0 Mo d'archives. Après dépaquetage, 146 Mo seront utilisés.
Voulez-vous continuer ? [Y/n/?] n
Abandon.
 



je ne sais pas si l'image linux-3.14 suffit ou s'il faut autre chose genre 'headers' ou 'extra' :

:~# dpkg -l | grep -Ei "linux-headers|linux-image"



ii  linux-image-3.2.0-4-amd64             3.2.60-1+deb7u1                    amd64        Linux 3.2 for 64-bit PCs
ii  linux-image-amd64                     3.2+46                             amd64        Linux for 64-bit PCs (meta-package)
 



ce qui laisse entendre qu'il n'y a pas de 'headers' du tout sur ma version 3.2.
dans l'installation initiale, j'ai pris l'option 'ciblée' qui en principe n'installe que les pilotes nécessaires pour la machine sur laquelle se fait l'installation.

* tout cela est-il bien 'normal' ? smile

* puis-je me contenter de n'installer que le linux-image 3.14 ?

Hors ligne

#10 31-07-2014 12:23:06

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : [resolu] installation de noyau supplementaire

Oui, tout cela est normal smile
Les headers ne sont nécessaires que si tu compiles des modules noyau (virtualbox, pilotes proprio nvidia, carte wifi à la mords-moi-le-nœud.)
Mais si tu ne les as pas d'installé pour le 3.2, c'est qu'ils ne manqueront pas pour le 3.14 smile

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#11 31-07-2014 12:43:36

debianux
Membre
Distrib. : debian-jessie-8.6_LVM-chiffré_dual-boot-uefi-w10
Noyau : 3.16.0-4-amd64
(G)UI : Xfce 4.10
Inscription : 19-05-2014

Re : [resolu] installation de noyau supplementaire

ok,
or donc smile

~# aptitude install -t wheezy-backports linux-image-3.14-0.bpo.1-amd64



Les NOUVEAUX paquets suivants vont être installés :
  firmware-linux-free{a} linux-image-3.14-0.bpo.1-amd64
Les paquets suivants seront mis à jour :
  initramfs-tools
1 paquets mis à jour, 2 nouvellement installés, 0 à enlever et 113 non mis à jour.
Il est nécessaire de télécharger 31,0 Mo d'archives. Après dépaquetage, 146 Mo seront utilisés.
Voulez-vous continuer ? [Y/n/?] Y
Prendre :  1 http://ftp.fr.debian.org/debian/ wheezy-backports/main initramfs-tools all 0.115~bpo70+1 [92,6 kB]
Prendre :  2 http://ftp.fr.debian.org/debian/ wheezy-backports/main linux-image-3.14-0.bpo.1-amd64 amd64 3.14.12-1~bpo70+1 [30,9 MB]
Prendre :  3 http://ftp.fr.debian.org/debian/ wheezy/main firmware-linux-free all 3.2 [20,7 kB]
 31,0 Mo téléchargés en 23s (1 309 ko/s)                                        
Lecture des fichiers de modifications (« changelog »)... Terminé
Préconfiguration des paquets...
(Lecture de la base de données... 140218 fichiers et répertoires déjà installés.)
Préparation du remplacement de initramfs-tools 0.109.1 (en utilisant .../initramfs-tools_0.115~bpo70+1_all.deb) ...
Dépaquetage de la mise à jour de initramfs-tools ...
Sélection du paquet linux-image-3.14-0.bpo.1-amd64 précédemment désélectionné.
Dépaquetage de linux-image-3.14-0.bpo.1-amd64 (à partir de .../linux-image-3.14-0.bpo.1-amd64_3.14.12-1~bpo70+1_amd64.deb) ...
Sélection du paquet firmware-linux-free précédemment désélectionné.
Dépaquetage de firmware-linux-free (à partir de .../firmware-linux-free_3.2_all.deb) ...
Traitement des actions différées (« triggers ») pour « man-db »...
Paramétrage de initramfs-tools (0.115~bpo70+1) ...
update-initramfs: deferring update (trigger activated)
Paramétrage de linux-image-3.14-0.bpo.1-amd64 (3.14.12-1~bpo70+1) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-3.14-0.bpo.1-amd64
/etc/kernel/postinst.d/zz-extlinux:
P: Checking for EXTLINUX directory... found.
P: Writing config for /boot/vmlinuz-3.2.0-4-amd64...
P: Writing config for /boot/vmlinuz-3.14-0.bpo.1-amd64...
P: Updating /boot/extlinux/linux.cfg...
P: Writing config for Windows Recovery Environment (loader) on /dev/sda1...
P: Writing config for Windows 7 (loader) on /dev/sda2...
P: Installing debian theme... done.
/etc/kernel/postinst.d/zz-update-grub:
Generating grub.cfg ...
Found linux image: /boot/vmlinuz-3.14-0.bpo.1-amd64
Found initrd image: /boot/initrd.img-3.14-0.bpo.1-amd64
Found linux image: /boot/vmlinuz-3.2.0-4-amd64
Found initrd image: /boot/initrd.img-3.2.0-4-amd64
Found memtest86+ image: /memtest86+.bin
Found memtest86+ multiboot image: /memtest86+_multiboot.bin
Found Windows Recovery Environment (loader) on /dev/sda1
Found Windows 7 (loader) on /dev/sda2
done
Paramétrage de firmware-linux-free (3.2) ...
update-initramfs: deferring update (trigger activated)
Traitement des actions différées (« triggers ») pour « initramfs-tools »...
update-initramfs: Generating /boot/initrd.img-3.14-0.bpo.1-amd64
                                             
État actuel : 113 mises à jour restantes [-1].



bon,
ben, je vais redémarrer puisqu'il le faut smile

à plus tard, j'espère...

Hors ligne

#12 31-07-2014 13:24:54

debianux
Membre
Distrib. : debian-jessie-8.6_LVM-chiffré_dual-boot-uefi-w10
Noyau : 3.16.0-4-amd64
(G)UI : Xfce 4.10
Inscription : 19-05-2014

Re : [resolu] installation de noyau supplementaire

me revoilà, booté sur la 3.14 smile

# aptitude update



...
État actuel : 25 mises à jour restantes [+25], 22634 nouveaux paquets [+18].



# aptitude -s full-upgrade



Les paquets suivants seront mis à jour :      
  cups cups-bsd cups-client cups-common cups-ppdc ffmpeg libavcodec54
  libavdevice54 libavfilter3 libavformat54 libavutil51 libcups2
  libcups2:i386 libcupscgi1 libcupsdriver1 libcupsimage2 libcupsmime1
  libcupsppdc1 libnss3{b} libnss3-1d{b} libpostproc52 libswresample0
  libswscale2 linux-image-3.2.0-4-amd64 linux-libc-dev
25 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 33,6 Mo d'archives. Après dépaquetage, 2 484 ko seront libérés.
Les paquets suivants ont des dépendances non satisfaites :
 libnss3 : Casse: libnss3:i386 (!= 2:3.14.5-1+deb7u1) mais 2:3.14.5-1 est installé.
 libnss3:i386 : Casse: libnss3 (!= 2:3.14.5-1) mais 2:3.14.5-1+deb7u1 doit être installé.
 libnss3-1d : Casse: libnss3-1d:i386 (!= 2:3.14.5-1+deb7u1) mais 2:3.14.5-1 est installé.
 libnss3-1d:i386 : Casse: libnss3-1d (!= 2:3.14.5-1) mais 2:3.14.5-1+deb7u1 doit être installé.
Les actions suivantes permettront de résoudre ces dépendances :

      Supprimer les paquets suivants :                                          
1)      ant                                                                    
2)      ant-optional                                                            
3)      ca-certificates-java                                                    
4)      chromium                                                                
5)      chromium-browser-l10n                                                  
6)      chromium-l10n                                                          
7)      default-jre                                                            
8)      default-jre-headless                                                    
9)      ekiga                                                                  
10)     evolution-data-server                                                  
11)     flashplayer-mozilla                                                    
12)     fop                                                                    
13)     icedtea-6-jre-cacao                                                    
14)     icedtea-6-jre-jamvm                                                    
15)     icedtea-netx                                                            
16)     janino                                                                  
17)     javahelp2                                                              
18)     libbatik-java                                                          
19)     libbcmail-java                                                          
20)     libbcprov-java                                                          
21)     libbctsp-java                                                          
22)     libcamel-1.2-33                                                        
23)     libebook-1.2-13                                                        
24)     libedata-book-1.2-13                                                    
25)     libfop-java                                                            
26)     libfreehep-export-java                                                  
27)     libfreehep-graphics2d-java                                              
28)     libfreehep-graphicsio-java                                              
29)     libfreehep-graphicsio-svg-java                                          
30)     libfreehep-graphicsio-tests-java                                        
31)     libfreehep-swing-java                                                  
32)     libfreehep-xml-java                                                    
33)     libgdata13                                                              
34)     libitext-java                                                          
35)     libjas-plotter-java                                                    
36)     libnss3                                                                
37)     libnss3-1d                                                              
38)     liboauth0                                                              
39)     libreoffice                                                            
40)     libreoffice-base                                                        
41)     libreoffice-base-core                                                  
42)     libreoffice-calc                                                        
43)     libreoffice-common                                                      
44)     libreoffice-core                                                        
45)     libreoffice-draw                                                        
46)     libreoffice-emailmerge                                                  
47)     libreoffice-filter-binfilter                                            
48)     libreoffice-filter-mobiledev                                            
49)     libreoffice-gtk                                                        
50)     libreoffice-help-en-us                                                  
51)     libreoffice-help-fr                                                    
52)     libreoffice-impress                                                    
53)     libreoffice-java-common                                                
54)     libreoffice-math                                                        
55)     libreoffice-report-builder-bin                                          
56)     libreoffice-style-galaxy                                                
57)     libreoffice-style-tango                                                
58)     libreoffice-writer                                                      
59)     libsunflow-java                                                        
60)     mythes-en-us                                                            
61)     mythes-fr                                                              
62)     openjdk-6-jre                                                          
63)     openjdk-6-jre-headless                                                  
64)     openjdk-6-jre-lib                                                      
65)     python-uno                                                              
66)     rhino                                                                  
67)     sweethome3d                                                            

      Laisser les dépendances suivantes non satisfaites :                      
68)     libbatik-java recommande openjdk-6-jre | openjdk-7-jre-headless        
69)     chromium-inspector recommande chromium (>= 10)                          
70)     hyphen-en-us recommande libreoffice-writer | openoffice.org-writer      
71)     libjtidy-java recommande ant                                            
72)     junit recommande default-jre (>= 1.4) | default-jre-headless (>= 1.4) |
73)     libreoffice-help-en-us recommande libreoffice-core (> 1:3.5.4+dfsg2) | l
74)     libreoffice-help-fr recommande libreoffice-core (> 1:3.5.4+dfsg2) | lang
75)     libreoffice-l10n-fr recommande libreoffice-core (> 1:3.5.4+dfsg2) | lang
76)     libreoffice-writer recommande libreoffice-filter-binfilter              
77)     libreoffice-writer recommande libreoffice-math                          
78)     task-french-desktop recommande libreoffice-help-fr                      
79)     task-french-desktop recommande mythes-fr                                
80)     task-xfce-desktop recommande libreoffice-gtk                            
81)     task-xfce-desktop recommande libreoffice                                
82)     task-xfce-desktop recommande libreoffice-help-en-us                    
83)     task-xfce-desktop recommande mythes-en-us                              


Accepter cette solution ? [Y/n/q/?]
Accepter cette solution ? [Y/n/q/?] n
Les actions suivantes permettront de résoudre ces dépendances :

     Supprimer les paquets suivants :
1)     libnss3:i386                  
2)     libnss3-1d:i386              

Accepter cette solution ? [Y/n/q/?] n
Les actions suivantes permettront de résoudre ces dépendances :

     Supprimer les paquets suivants :                                          
1)     ant                                                                      
2)     ant-optional                                                            
3)     ca-certificates-java                                                    
4)     default-jre                                                              
5)     default-jre-headless                                                    
6)     fop                                                                      
7)     icedtea-6-jre-cacao                                                      
8)     icedtea-6-jre-jamvm                                                      
9)     icedtea-netx                                                            
10     janino                                                                  
11     javahelp2                                                                
12     libbatik-java                                                            
13     libbcmail-java                                                          
14     libbcprov-java                                                          
15     libbctsp-java                                                            
16     libfop-java                                                              
17     libfreehep-export-java                                                  
18     libfreehep-graphics2d-java                                              
19     libfreehep-graphicsio-java                                              
20     libfreehep-graphicsio-svg-java                                          
21     libfreehep-graphicsio-tests-java                                        
22     libfreehep-swing-java                                                    
23     libfreehep-xml-java                                                      
24     libitext-java                                                            
25     libjas-plotter-java                                                      
26     libnss3-1d                                                              
27     libreoffice                                                              
28     libreoffice-base                                                        
29     libreoffice-filter-mobiledev                                            
30     libreoffice-report-builder-bin                                          
31     libsunflow-java                                                          
32     openjdk-6-jre                                                            
33     openjdk-6-jre-headless                                                  
34     openjdk-6-jre-lib                                                        
35     rhino                                                                    
36     sweethome3d                                                              

     Conserver les paquets suivants dans leur version actuelle :                
37     libnss3 [2:3.14.5-1 (now, stable)]                                      

     Laisser les dépendances suivantes non satisfaites :                        
38     libbatik-java recommande openjdk-6-jre | openjdk-7-jre-headless          
39     libjtidy-java recommande ant                                            
40     junit recommande default-jre (>= 1.4) | default-jre-headless (>= 1.4) | j
41     libreoffice-writer recommande default-jre | gcj-jre | java-gcj-compat | o
42     task-xfce-desktop recommande libreoffice                        



là ça fait beaucoup de 'solutions' et je n'ai pas tout mis puisqu'à chaque réponse 'n', il propose quelque chose smile

* quel est le critère pertinent pour choisir ?

* les solutions proposées suppriment des applications. aptitude ne peut-il proposer des mises à jour adaptées à la 3.14 ?
ou cela laisse-t-il à penser que ces versions adaptées n'existent pas ?
ou qu'il faut réinstaller les applications lorsque certaines mises à jour auront été effectuées ?

Hors ligne

#13 31-07-2014 13:39:15

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : [resolu] installation de noyau supplementaire

Re,

Je ne pense pas que ces problèmes soient liés au passage au noyau 3.14.

La solution la plus indiquée me semble être

     Supprimer les paquets suivants :
1)     libnss3:i386                  
2)     libnss3-1d:i386


le critère étant qu'elle ne vire pas grand chose et surtout, rien qui ne semble utilisé directement.

Tu peux commencer par faire un

aptitude safe-upgrade


pour faire les mises à jour sans-risques.


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#14 31-07-2014 14:52:30

vv222
Membre
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : >= Linux 4.5.0 (amd64)
(G)UI : Openbox + ROX
Inscription : 18-11-2013
Site Web

Re : [resolu] installation de noyau supplementaire

captnfab a écrit :

Euh, mais il faudrait comprendre pourquoi aptitude voulait tout Uninstall-er.
Il faudra être prudent là.


C’est ce qui me fait éviter aptitude dans mon utilisation quotidienne : n’importe quelle action (install, remove, etc.) implique un autoremove qui proposera à la désinstallation tous les paquets considérés comme orphelins (paquets installés automatiquement dont plus aucun paquet ne dépend).
apt-get de son côté se contente de les signaler et de donner la commande pour les supprimer.

Il existe sûrement une option à renseigner dans apt.conf pour changer ce comportement.


Jouer sous Debian ? Facile !

Hors ligne

#15 31-07-2014 15:28:43

debianux
Membre
Distrib. : debian-jessie-8.6_LVM-chiffré_dual-boot-uefi-w10
Noyau : 3.16.0-4-amd64
(G)UI : Xfce 4.10
Inscription : 19-05-2014

Re : [resolu] installation de noyau supplementaire

donc

~# aptitude -s safe-upgrade



Résolution des dépendances…                  
Les paquets suivants seront mis à jour :
  cups cups-bsd cups-client cups-common cups-ppdc ffmpeg libavcodec54
  libavdevice54 libavfilter3 libavformat54 libavutil51 libcups2
  libcups2:i386 libcupscgi1 libcupsdriver1 libcupsimage2 libcupsmime1
  libcupsppdc1 libpostproc52 libswresample0 libswscale2
  linux-image-3.2.0-4-amd64 linux-libc-dev
23 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 2 non mis à jour.
Il est nécessaire de télécharger 32,5 Mo d'archives. Après dépaquetage, 2 488 ko seront libérés.
Voulez-vous continuer ? [Y/n/?



Voulez-vous continuer ? [Y/n/?] Y
ATTENTION : des versions non certifiées des paquets suivants vont
être installées.

Des paquets non certifiés peuvent compromettre la sécurité de votre
système. Vous ne devriez les installer que si vous êtes certain
que c'est bien votre intention.

  libswscale2 libavutil51 libavfilter3 libavdevice54 libavcodec54 ffmpeg
  libpostproc52 libavformat54 libswresample0

Voulez-vous ignorer cet avertissement et continuer quand même ?
Pour continuer, entrer « Oui ». Pour interrompre l'installation, entrer « Non » 
Voulez-vous ignorer cet avertissement et continuer quand même ?
Pour continuer, entrer « Oui ». Pour interrompre l'installation, entrer « Non » : oui
Charger/installer/enlever des paquets.



j'y vais smile

Hors ligne

#16 31-07-2014 15:41:29

debianux
Membre
Distrib. : debian-jessie-8.6_LVM-chiffré_dual-boot-uefi-w10
Noyau : 3.16.0-4-amd64
(G)UI : Xfce 4.10
Inscription : 19-05-2014

Re : [resolu] installation de noyau supplementaire

donc

# aptitude full-upgrade



Les paquets suivants seront mis à jour :      
  libnss3{b} libnss3-1d{b}
2 paquets mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 1 081 ko d'archives. Après dépaquetage, 4 096 o seront utilisés.
Les paquets suivants ont des dépendances non satisfaites :
 libnss3 : Casse: libnss3:i386 (!= 2:3.14.5-1+deb7u1) mais 2:3.14.5-1 est installé.
 libnss3:i386 : Casse: libnss3 (!= 2:3.14.5-1) mais 2:3.14.5-1+deb7u1 doit être installé.
 libnss3-1d : Casse: libnss3-1d:i386 (!= 2:3.14.5-1+deb7u1) mais 2:3.14.5-1 est installé.
 libnss3-1d:i386 : Casse: libnss3-1d (!= 2:3.14.5-1) mais 2:3.14.5-1+deb7u1 doit être installé.
 


...

Accepter cette solution ? [Y/n/q/?] n
Les actions suivantes permettront de résoudre ces dépendances :

     Supprimer les paquets suivants :
1)     libnss3:i386                  
2)     libnss3-1d:i386              



Accepter cette solution ? [Y/n/q/?] Y
Les paquets suivants seront ENLEVÉS :
  libnss3:i386{a} libnss3-1d:i386{a} libsqlite3-0:i386{u}
Les paquets suivants seront mis à jour :
  libnss3 libnss3-1d
2 paquets mis à jour, 0 nouvellement installés, 3 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 1 081 ko d'archives. Après dépaquetage, 4 193 ko seront libérés.
Voulez-vous continuer ? [Y/n/?] Y
Prendre :  1 http://security.debian.org/ wheezy/updates/main libnss3-1d amd64 2:3.14.5-1+deb7u1 [20,3 kB]
Prendre :  2 http://security.debian.org/ wheezy/updates/main libnss3 amd64 2:3.14.5-1+deb7u1 [1 061 kB]
 1 081 ko téléchargés en 1s (975 ko/s)
Lecture des fichiers de modifications (« changelog »)... Terminé
(Lecture de la base de données... 143943 fichiers et répertoires déjà installés.)
Suppression de libnss3-1d:i386 ...
Suppression de libnss3:i386 ...
Suppression de libsqlite3-0:i386 ...
(Lecture de la base de données... 143926 fichiers et répertoires déjà installés.)
Préparation du remplacement de libnss3-1d:amd64 2:3.14.5-1 (en utilisant .../libnss3-1d_2%3a3.14.5-1+deb7u1_amd64.deb) ...
Dépaquetage de la mise à jour de libnss3-1d:amd64 ...
Préparation du remplacement de libnss3:amd64 2:3.14.5-1 (en utilisant .../libnss3_2%3a3.14.5-1+deb7u1_amd64.deb) ...
Dépaquetage de la mise à jour de libnss3:amd64 ...
Paramétrage de libnss3:amd64 (2:3.14.5-1+deb7u1) ...
Paramétrage de libnss3-1d:amd64 (2:3.14.5-1+deb7u1) ...
                                             
État actuel : 0 mise à jour restante [-2].



je vais redémarrer pour voir smile

ps : que signifie les lettres entre accolades, par ex ici :

libnss3{b}


précédemment j'ai rencontré du  {u} et du {a} et n'ai pas trouvé le 'lexique' smile

Hors ligne

#17 31-07-2014 16:18:01

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : [resolu] installation de noyau supplementaire

u = désinstallé (uninstalled)
a = automatiquement installé (c'est le cas des dépendances)
b = cassé (broken)

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#18 31-07-2014 16:19:21

debianux
Membre
Distrib. : debian-jessie-8.6_LVM-chiffré_dual-boot-uefi-w10
Noyau : 3.16.0-4-amd64
(G)UI : Xfce 4.10
Inscription : 19-05-2014

Re : [resolu] installation de noyau supplementaire

bon, la désactivation du pavé tactile, objectif de la 'manip' ne marche pas mieux avec le noyau 3.14 qu'avec le 3.2.

cela voudrait-il dire que cette question est prise en charge par une autre partie ? Headers ? extras ?

Hors ligne

#19 31-07-2014 16:34:01

debianux
Membre
Distrib. : debian-jessie-8.6_LVM-chiffré_dual-boot-uefi-w10
Noyau : 3.16.0-4-amd64
(G)UI : Xfce 4.10
Inscription : 19-05-2014

Re : [resolu] installation de noyau supplementaire

merci captnfab !

pour le 'pavé', je repasse sur le fil initial smile

Hors ligne

#20 22-08-2014 08:40:30

debianux
Membre
Distrib. : debian-jessie-8.6_LVM-chiffré_dual-boot-uefi-w10
Noyau : 3.16.0-4-amd64
(G)UI : Xfce 4.10
Inscription : 19-05-2014

Re : [resolu] installation de noyau supplementaire

Bonjour,

@paskal

toutes mes excuses, j'ai oublié de répondre à

@debianux: as-tu installé Xfce4 par son meta-paquet, puis supprimé un de ses composants ?



installation de xfce via l'installer de debian et, sauf erreur, je n'ai rien supprimé.

Hors ligne

#21 22-08-2014 08:54:05

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [resolu] installation de noyau supplementaire

Ok, c'était une fausse piste.  smile

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

Pied de page des forums